.messageContainer{
	background-color: white;
	border-radius: 10px;
	padding:10px;

	width: calc(100% - 60px);

	max-width: 400px;
	max-height: calc(100vh - 80px);
	min-width: 250px;


/* 	min-height: 250px; */


	position: absolute;
	margin: auto;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;

/*
	-webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
	-moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
	box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);

*/
	-webkit-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.44);
	-moz-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.44);
	box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.44);

	opacity: 0;
}

/* new UI popup */
#ui_popup{
	display: none;
}

.main_popup_container{
	display: none;
	z-index: 9000;
}

/* THIS GIVES THE ILLUSION OF A RADIAL TRANSPARENT GRADIENT */
.raidial_gradiant_dark{
	background: radial-gradient(circle, rgba(255,255,255,0) 0%, rgba(0,0,0,0.8) 90%);
}
.raidial_gradiant_white{
	background: radial-gradient(circle, rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 0.8) 80%);
}
.background_image{
	background: url(/Sandbox/UI-Assets/CSS/images/Science-Pattern-Background-Light-Gray.png);
}
.raidial_gradiant_dark, .background_image, .main_popup_container, .raidial_gradiant_white{
	position: fixed;
	height: 100vh;
	width: 100vw;
	background-size: cover;
	background-position: center;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

/* Position and styling of the content itself */
.popup_content_container{
	position: fixed;  /* Fixed position */
	top: 50%;  /* Center vertically */
	left: 50%;  /* Center horizontally */
	transform: translate(-50%, -50%);  /* Necessary adjustment for true centering */
	z-index: 9900;  /* High z-index to bring it to the forefront */
	background-color: white;
	width: calc(100vw - 20px);
	max-width: 600px;
	margin: auto;
	border-radius: 20px;
	overflow: hidden;
	-webkit-box-shadow: 0px 2px 5px 5px rgba(0,0,0,0.40);
	-moz-box-shadow: 0px 2px 5px 5px rgba(0,0,0,0.40);
	box-shadow: 0px 2px 5px 5px rgba(0,0,0,0.40);
	display: none;
}
.popup_title{
	-webkit-box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.44);
	-moz-box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.44);
	box-shadow: 0px 1px 4px 0px rgba(0,0,0,0.44);

	background: #eeeeee;
	background: -moz-linear-gradient(top,  #eeeeee 0%, #b6b6b6 100%);
	background: -webkit-linear-gradient(top,  #eeeeee 0%, #b6b6b6 100%);
	background: linear-gradient(to bottom,  #eeeeee 0%, #b6b6b6 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eeeeee', endColorstr='#b6b6b6',GradientType=0 );


	padding: 10px 0px 10px 10px;
	color: #00104c;
	font-size: 20px;
	font-weight: bold;
}
.main_popup_container .accCloseBtn{
	width: 30px;
	float: right;
	cursor: pointer;
	position: relative;
	top: -32px;
}
.dataTables_scroll{
	overflow-x: scroll;
}
.dataTables_scrollBody {
	overflow: visible !important;
}

.popup_content{
	height: auto;
	min-height: 35px;
	overflow: hidden;
	clear:both;
}
.dataTables_info{
	margin-left: 20px;
}
.dataTables_filter{
	margin-right: 20px;
}
 .dataTables_wrapper .dataTables_filter{
	text-align:left;
	margin-left: 10px;
}
.dataTables_wrapper .dataTables_filter label{
	font-weight: bold;
	padding-left: 10px;
	text-align:left;
	float: left;
}
.dataTables_wrapper .dataTables_filter input{
	left: -10px;
	position: relative;
}
.popup_content .dataTable{
	font-size: 11px;
}
.popup_content .dataTables_scrollHead thead{
	font-size: 10px;
}

.wrap{
	word-break: break-all;
}
.no_wrap{
	white-space: nowrap;
	max-width: 175px;
	overflow: scroll;
}
/* Hide scrollbar for Chrome, Safari and Opera */
.no_wrap::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge, and Firefox */
.no_wrap {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
  scrollbar-color: transparent transparent;  /* Also Firefox */
}
.dataTables_scrollHead{
  overflow: visible !important;
  width: 100%;
 }

button.fa.fa-download {
    margin-left: 20px !important;
	float:left;
	margin-top:20px;
}
div.dt-buttons{
	float:left !important;
}
.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter{
	float:right;
}

/* ========================== START ========================== */
/* Override for tables with class 'activity-table' */
div.activity_records .dataTables_scrollBody {
    overflow-y: scroll !important;
    max-height: 300px !important; /* Set the max height for the scrollable body */
}

div.activity_records .dataTables_scrollHead {
    overflow: hidden !important; /* Hide the scrollbar in the header */
}

@media screen and (min-width: 480px) {
	table.activity-table.dataTable td {
	    text-align: center;
	}
}
/* ========================== END ========================== */